---
title: Vydání verze STM 1.0 a spuštění webu o STM
date: 2012-08-29 12:43 UTC
---

<%= image_tag '1.0-commits.png', :class => 'right top border' %>

<p>Po téměř ročním vývoji si konečně můžet stáhnout webovou aplikaci <strong>STM 1.0</strong>, která je určena primárně pro správu výsledků sportovních klubů. Vývoj byl hodně hlavně přerušovaný školou, i když právě díky <strong>UPCE</strong> aplikace vznikla, protože STM byl vyvíjen jako součást mé bakalářské práce. Na obrázku můžete vidět počet <em>commitů</em> ve verzovacím systému Mercurial.</p>

<p>Verzí <strong>1.0</strong> samozřejmě vývoj nekončí a mám v plánu aplikaci dále opravovat, rozšiřovat. Ale teď budu většinu času věnovat tomuto webu. Další vývoj závisí i na Vás! Do současné verze jsem implementoval většinu svých nápadů, takže bez Vašich názorů a připomínek nebudu moci aplikaci rozšířovat, protože už jsem svoje nápady vyčerpal. A doplňovat funkčnost, kterou nebude nikdo používat, je zbytečné.</p>

<h2>Nápady na doplnění do dalších verzí</h2>
<ul>
    <li>křížová tabulka pro zvolené týmy a zápasy</li>
    <li>pomocník pro tvorbu a správu turnajů</li>
    <li>zapomenuté heslo - možnost resetu přes email</li>
    <li>udělat cache i pro seznam soutěží a týmů (protože jsou ve filtrech)</li>
    <li>lepší ovladatelnost v přidávání osob do týmů a hráčů do sestavy</li>
</ul>